curl --location --request POST 'https://api.nameshouts.com/api/v2.0/user/user-list/edit-name' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
--form 'name="Maxime Buteau"' \
--form 'name_group_id="100048"' \
--form 'phonetic="mak-seem boo-toh"' \
--form 'lang="French"' \
--form 'audio=@"/path/to/file"'
"Name added to list."
[
"Name not on database. Missing Name information sent to NameShouts."
]
"Name already in list"
Lists
Update Name from a User List
POST
/
user
/
user-list
/
edit-name
curl --location --request POST 'https://api.nameshouts.com/api/v2.0/user/user-list/edit-name' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
--form 'name="Maxime Buteau"' \
--form 'name_group_id="100048"' \
--form 'phonetic="mak-seem boo-toh"' \
--form 'lang="French"' \
--form 'audio=@"/path/to/file"'
"Name added to list."
[
"Name not on database. Missing Name information sent to NameShouts."
]
"Name already in list"
POST
POST https://api.nameshouts.com/api/v2.0/user/user-list/edit-name
Authorization
| Bearer Token | |
|---|---|
| Token | {{token}} |
Body
formdata
string
The name you want to modify on the list.Example:
Maxime Buteaustring
The unique idea of the name on the list. You can locate this from “Get Name Information from List” endpoint.Example:
100048string
The respelling for the name.Example:
mak-seem boo-tohstring
The language of origin.Example:
Frenchfile
The updated audio
Examples
Added to List.
Example Requestcurl
curl --location -g --request POST '{{base_url}}/api/v2.0/user/user-list/add-name-to-list?name=John-Smith&language=English&user_list_id=12&email=test4%40test.com'
200 OK
Body
"Name added to list."
| Key | Value |
|---|---|
| Server | nginx/1.23.3 |
| Content-Type | application/json |
| Transfer-Encoding | chunked |
| Connection | keep-alive |
| Vary | Accept-Encoding |
| X-Powered-By | PHP/7.4.33 |
| Cache-Control | no-cache, private |
| Date | Wed, 20 Sep 2023 05:56:35 GMT |
| Content-Encoding | gzip |
Missing from Database.
Example Requestcurl
curl --location -g --request POST '{{base_url}}/api/v2.0/user/user-list/add-name-to-list?name=Johnr-Smith&language=English&user_list_id=12&email=test4%40test.com'
200 OK
Body
[
"Name not on database. Missing Name information sent to NameShouts."
]
| Key | Value |
|---|---|
| Server | nginx/1.23.3 |
| Content-Type | application/json |
| Transfer-Encoding | chunked |
| Connection | keep-alive |
| Vary | Accept-Encoding |
| X-Powered-By | PHP/7.4.33 |
| Cache-Control | no-cache, private |
| Date | Wed, 20 Sep 2023 05:57:03 GMT |
| Content-Encoding | gzip |
Already on List.
Example Requestcurl
curl --location -g --request POST '{{base_url}}/api/v2.0/user/user-list/add-name-to-list?name=John-Smith&language=English&user_list_id=12&email=test4%40test.com'
400 Bad Request
Body
"Name already in list"
| Key | Value |
|---|---|
| Server | nginx/1.23.3 |
| Content-Type | application/json |
| Transfer-Encoding | chunked |
| Connection | keep-alive |
| X-Powered-By | PHP/7.4.33 |
| Cache-Control | no-cache, private |
| Date | Wed, 20 Sep 2023 06:52:48 GMT |
curl --location --request POST 'https://api.nameshouts.com/api/v2.0/user/user-list/edit-name' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
--form 'name="Maxime Buteau"' \
--form 'name_group_id="100048"' \
--form 'phonetic="mak-seem boo-toh"' \
--form 'lang="French"' \
--form 'audio=@"/path/to/file"'
"Name added to list."
[
"Name not on database. Missing Name information sent to NameShouts."
]
"Name already in list"
